package aicg.wipf.vzuj.jxkr

import aicg.wipf.keyu.bzsb.fdjl.Kxbt_D
import android.content.Intent
import android.os.Bundle
import android.widget.RelativeLayout
import androidx.appcompat.app.AppCompatActivity

class Jxqe_D : AppCompatActivity() {

    private fun ޥގޓޡޛއޒކ(savedInstanceState: Bundle?) {
        val ރޡޏޅކނދޑ = 6357
        val ޛޘޟޑޓޕބޠ = 4390
        val ނގގޙޗޒޠޘ = ރޡޏޅކނދޑ * ޛޘޟޑޓޕބޠ * ޛޘޟޑޓޕބޠ
        println(ނގގޙޗޒޠޘ)
        setContentView(RelativeLayout(this))
        val އޖޑތޓނލނ: (Int, Int) -> Int = { ޜޖޥސޔޠޙޓ, ޞޑޒޜޡޟޅޅ -> ޜޖޥސޔޠޙޓ + ޞޑޒޜޡޟޅޅ }
        println(އޖޑތޓނލނ.invoke(2604, 3505))
        startActivity(Intent(this, Kxbt_D::class.java))
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        class ޥވޠޙޝޥޜފ<T>(val ޖޓސޖމލޠޡ: T)
        val ޞހޜޅޞޑޝޠ = ޥވޠޙޝޥޜފ(7608)
        val ޒޞރޅޓވޡބ = ޥވޠޙޝޥޜފ("ޕޙޢޥޞޅޏރ")
        println(ޞހޜޅޞޑޝޠ)
        println(ޒޞރޅޓވޡބ)
        ގޕޛވހޖޔޓ(savedInstanceState)
        super.onCreate(savedInstanceState)
        ޢވޠނރޥޔޔ(savedInstanceState)
    }

    private fun ގޕޛވހޖޔޓ(savedInstanceState: Bundle?) {
        fun <T> ޤޡޞޟޞޜބޔ(ޝޔޛޏޝޓޝޑ: T) {
            println(ޝޔޛޏޝޓޝޑ)
        }
        ޤޡޞޟޞޜބޔ(8561)
        ޤޡޞޟޞޜބޔ("އމޏޙޤތޙޔ")
        ބޘޚށޝޅށވ(savedInstanceState)
    }

    private fun ގޣޠޛދޅޢވ(savedInstanceState: Bundle?) {
        fun ޢކޥޗޣމޛޗ(ޖޏޢރފވމލ: Int, ޅޔސހޛދޝޝ: Int): Int {
            return ޖޏޢރފވމލ + ޅޔސހޛދޝޝ
        }
        println(ޢކޥޗޣމޛޗ(5525, 923))
        ޥގޓޡޛއޒކ(savedInstanceState)
    }

    private fun އޕޘޡޒޡޑޡ(savedInstanceState: Bundle?) {
    }

    private fun ޢވޠނރޥޔޔ(savedInstanceState: Bundle?) {
        ގޣޠޛދޅޢވ(savedInstanceState)
    }

    private fun ބޘޚށޝޅށވ(savedInstanceState: Bundle?) {
        އޕޘޡޒޡޑޡ(savedInstanceState)
    }
}